Subject: Re: bug#61846: Shell pathnames incorrectly handled, mostly due to hash characters

From: Robert Weiner <[email-masked]>
Date: Wed, 1 Mar 2023 19:59:23 -0500

John if you could do an ls in the Hyperbole distribution directory and
summarize what happens when you use {M-RET} on specific filenames, that
would help us evaluate the issue.  Thanks.

On Wed, Mar 1, 2023 at 6:59 AM John Cummings <[email-masked]> wrote:

> Thanks Bob, looks like the problem of interpreting files as children
> of '#buttons-9.txt#' is fixed. But most/all of the other problems
> are still there. Are you still looking at those and/or do you want me
> to create a bug for each problem type?
>
>
>
>
> ------- Original Message -------
> On Tuesday, February 28th, 2023 at 10:57 PM, Robert Weiner <[email-masked]>
> wrote:
>
> >
> >
> > Hi John:
> >
> > This issue has been resolved in the latest pre-release of Hyperbole
> > available from the elpa-devel package archive. Thanks for reporting
> > it. -- rsw
> >
> >
> > John Cummings [email-masked] writes:
> >
> > > I use: Editor: GNU Emacs 28.2
> > > Hyperbole: 9.0.0
> > > Sys Type: x86_64-pc-linux-gnu
> > > OS Type: gnu/linux
> > > Window Sys: None
> > > News Reader: Gnus v5.13
> > > Install: elpa-devel, 8.0.1pre0.20230220.191327
> > >
> > > Background:
> > >
> > > This is usage of the Hyperbole action key on implicit buttons in a
> > > shell buffer directory listing (bash/ls). Some file or directory names
> > > appear to have unexpected results.
> > >
> > > Expected Behavior (General):
> > >
> > > Each file or directory in the listing will be interpreted as a
> > > pathname implicit button (regardless of whether the name could also
> > > match some other implicit button type in another context), and using
> > > the action key on it will visit that file or directory. This will also
> > > be reflected in the hkey-help output.
> > >
> > > Actual Behavior (General):
> > >
> > > Certain characters or patterns in names, and/or positioning of the
> > > names in the listing, cause the names to be interpreted
> > > incorrectly. Some names are interpreted incorrectly due to patterns in
> > > their own name, and some due to patterns in other names in the
> > > listing. That is, Hyperbole seems to be interpreting several names in
> > > the listing as one composite name.
> > >
> > > This can cause the Hyperbole action key to perform the wrong action,
> > > like visitng the wrong file or directory, or not acting at all.
>